CaseNode (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class CaseNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.AbstractSelectExpression
                              org.hibernate.hql.internal.ast.tree.CaseNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable, InitializeableNode, SelectExpression

    public class CaseNode

extends AbstractSelectExpression
implements SelectExpression

Represents a case ... when .. then ... else ... end expression in a select.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`CaseNode()`

Method Summary
`Type` | `getDataType()` Returns the data type of the select expression.
`void` | `setScalarColumnText(int i)` Appends AST nodes that represent the columns after the current AST node.

Methods inherited from class org.hibernate.hql.internal.ast.tree.AbstractSelectExpression
`getAlias, getFromElement, getScalarColumnIndex, isConstructor, isReturnableEntity, isScalar, setAlias, setScalarColumn`

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.hql.internal.ast.tree.SelectExpression
`getAlias, getFromElement, getScalarColumnIndex, isConstructor, isReturnableEntity, isScalar, setAlias, setScalarColumn, setText`

Constructor Detail

### CaseNode

    public CaseNode()

Method Detail

### getDataType

    public Type getDataType()

  Description copied from interface: `SelectExpression`
  Returns the data type of the select expression.

  Specified by:
    `getDataType` in interface `SelectExpression`
  Overrides:
    `getDataType` in class `SqlNode`
  Returns:
    The data type of the select expression.

### setScalarColumnText

    public void setScalarColumnText(int i)
                             throws antlr.SemanticException

  Description copied from interface: `SelectExpression`
  Appends AST nodes that represent the columns after the current AST node. (e.g. 'as col0_O_')

  Specified by:
    `setScalarColumnText` in interface `SelectExpression`
  Parameters:
    `i` - The index of the select expression in the projection list.
  Throws:
    `antlr.SemanticException` - if a semantic error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.